@model FAA_UI.Models.TblInstrumentSetting 
<div class="row">
    <div class="column" style="width: 71vw;">
        <form id="formInstrumentSettings">
        <div class="panel-group"> 
                <div class="panel panel-default">
                    <div class="panel-heading">Arm Setup</div>
                    <div class="panel-body">
                        <div class="form-group row">
                            <div class="form-group" style="display:none;" >
                                @Html.TextBoxFor(model => model.InstrumentSettingsId)
                                @Html.TextBoxFor(model => model.InstrumentId)                            
                            </div>
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    @Html.LabelFor(model => model.ArmPosHome,new{@class="input-group-text"})
                                </div>
                                @Html.TextBoxFor(model => model.ArmPosHome,new{onfocusin = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                                @Html.ValidationMessageFor(model => model.ArmPosHome)
                            </div>
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    @Html.LabelFor(model => model.ArmPosCuv,new{@class="input-group-text"})
                                </div>
                                @Html.TextBoxFor(model => model.ArmPosCuv,new{onfocusin = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                                @Html.ValidationMessageFor(model => model.ArmPosCuv)
                            </div>              
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    @Html.LabelFor(model => model.ArmPosRgtIn,new{@class="input-group-text"})
                                </div>  
                                @Html.TextBoxFor(model => model.ArmPosRgtIn,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                                @Html.ValidationMessageFor(model => model.ArmPosRgtIn)
                            </div>
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    @Html.LabelFor(model => model.ArmPosRgtOut,new{@class="input-group-text"})
                                </div>  
                                @Html.TextBoxFor(model => model.ArmPosRgtOut,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                                @Html.ValidationMessageFor(model => model.ArmPosRgtOut)
                            </div>
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    @Html.LabelFor(model => model.ArmPosRgtSmp,new{@class="input-group-text"})
                                </div>  
                                @Html.TextBoxFor(model => model.ArmPosRgtSmp,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                                @Html.ValidationMessageFor(model => model.ArmPosRgtSmp)
                            </div>
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    @Html.LabelFor(model => model.ArmDepthCuv,new{@class="input-group-text"})
                                </div>  
                                @Html.TextBoxFor(model => model.ArmDepthCuv,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                                @Html.ValidationMessageFor(model => model.ArmDepthCuv)
                            </div>
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    @Html.LabelFor(model => model.ArmDepthRgtIn,new{@class="input-group-text"})
                                </div>  
                                @Html.TextBoxFor(model => model.ArmDepthRgtIn,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                                @Html.ValidationMessageFor(model => model.ArmDepthRgtIn)
                            </div>
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    @Html.LabelFor(model => model.ArmDepthRgtOut,new{@class="input-group-text"})
                                </div>  
                                @Html.TextBoxFor(model => model.ArmDepthRgtOut,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                                @Html.ValidationMessageFor(model => model.ArmDepthRgtOut)
                            </div>
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    @Html.LabelFor(model => model.ArmDepthHome,new{@class="input-group-text"})
                                </div>  
                                @Html.TextBoxFor(model => model.ArmDepthHome,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                                @Html.ValidationMessageFor(model => model.ArmDepthHome)
                            </div>
                        </div>
                    </div>
                </div>
            </div>    
            <div class="panel panel-default">
                <div class="panel-heading">Stirrer Setup</div>
                <div class="panel-body">
                    <div class="form-group row">
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                @Html.LabelFor(model => model.StrPosHome,new{@class="input-group-text"})
                            </div> 
                            @Html.TextBoxFor(model => model.StrPosHome,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                            @Html.ValidationMessageFor(model => model.StrPosHome)
                        </div>
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                @Html.LabelFor(model => model.StrDepthHome,new{@class="input-group-text"})
                            </div> 
                            @Html.TextBoxFor(model => model.StrDepthHome,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                            @Html.ValidationMessageFor(model => model.StrDepthHome)
                        </div>
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                @Html.LabelFor(model => model.StrPosCuv,new{@class="input-group-text"})
                            </div>   
                            @Html.TextBoxFor(model => model.StrPosCuv,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                            @Html.ValidationMessageFor(model => model.StrPosCuv)
                        </div>
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                @Html.LabelFor(model => model.StrDepthCuv,new{@class="input-group-text"})
                            </div>   
                            @Html.TextBoxFor(model => model.StrDepthCuv,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                            @Html.ValidationMessageFor(model => model.StrDepthCuv)
                        </div>
                        <div class="input-group mb-3">
                        <div class="input-group-prepend">
                                @Html.LabelFor(model => model.StrSpeed,new{@class="input-group-text"})
                            </div>   
                            @Html.TextBoxFor(model => model.StrSpeed,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                            @Html.ValidationMessageFor(model => model.StrSpeed)
                        </div>
                    </div>
                </div>
            </div>    
            <div class="panel panel-default">
                <div class="panel-heading">Tray Setup</div>
                <div class="panel-body">
                    <div class="form-group row">
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                @Html.LabelFor(model => model.RgtPosIn,new{@class="input-group-text"})
                            </div>   
                            @Html.TextBoxFor(model => model.RgtPosIn,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                            @Html.ValidationMessageFor(model => model.RgtPosIn)
                        </div>
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                @Html.LabelFor(model => model.RgtPosOut,new{@class="input-group-text"})
                            </div>   
                            @Html.TextBoxFor(model => model.RgtPosOut,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                            @Html.ValidationMessageFor(model => model.RgtPosOut)
                        </div>
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                @Html.LabelFor(model => model.RgtPosSmp,new{@class="input-group-text"})
                            </div>   
                            @Html.TextBoxFor(model => model.RgtPosSmp,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                            @Html.ValidationMessageFor(model => model.RgtPosSmp)
                        </div>
                        <div class="input-group mb-3">
                        <div class="input-group-prepend">
                                @Html.LabelFor(model => model.RgtScanIn,new{@class="input-group-text"})
                            </div>   
                            @Html.TextBoxFor(model => model.RgtScanIn,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                            @Html.ValidationMessageFor(model => model.RgtScanIn)
                        </div>
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                @Html.LabelFor(model => model.RgtScanOut,new{@class="input-group-text"})
                            </div>   
                            @Html.TextBoxFor(model => model.RgtScanOut,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                            @Html.ValidationMessageFor(model => model.RgtScanOut)
                        </div>
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                @Html.LabelFor(model => model.RgtScanSmp,new{@class="input-group-text"})
                            </div>   
                            @Html.TextBoxFor(model => model.RgtScanSmp,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                            @Html.ValidationMessageFor(model => model.RgtScanSmp)
                        </div>
                    </div>
                </div>
            </div>      
            <div class="panel panel-default">
                <div class="panel-heading">CRU Setup</div>
                <div class="panel-body">
                    <div class="form-group row">
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                @Html.LabelFor(model => model.CruDepthWash,new{@class="input-group-text"})
                            </div>   
                            @Html.TextBoxFor(model => model.CruDepthWash,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                            @Html.ValidationMessageFor(model => model.CruDepthWash)
                        </div>
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                @Html.LabelFor(model => model.CruDepthWater,new{@class="input-group-text"})
                            </div>   
                            @Html.TextBoxFor(model => model.CruDepthWater,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                            @Html.ValidationMessageFor(model => model.CruDepthWater)
                        </div>
                    </div>
                </div>
            </div>    
            <div class="panel panel-default">
                <div class="panel-heading">Others</div>
                <div class="panel-body">
                    <div class="form-group row">
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                @Html.LabelFor(model => model.AddWaterTime,new{@class="input-group-text"})
                            </div>   
                            @Html.TextBoxFor(model => model.AddWaterTime,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                            @Html.ValidationMessageFor(model => model.AddWaterTime)
                        </div>
                        <div class="input-group mb-3">
                        <div class="input-group-prepend">
                                @Html.LabelFor(model => model.RemoveWaterTime,new{@class="input-group-text"})
                            </div>   
                            @Html.TextBoxFor(model => model.RemoveWaterTime,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                            @Html.ValidationMessageFor(model => model.RemoveWaterTime)
                        </div>
                        <div class="input-group mb-3">
                        <div class="input-group-prepend">
                                @Html.LabelFor(model => model.PathLength,new{@class="input-group-text"})
                            </div>   
                            @Html.TextBoxFor(model => model.PathLength,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                            @Html.ValidationMessageFor(model => model.PathLength)
                        </div>
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                @Html.LabelFor(model => model.SyringeOffset,new{@class="input-group-text"})
                            </div>   
                            @Html.TextBoxFor(model => model.SyringeOffset,new{onclick = "onfocusIn(this)",onfocusout = "onfocusOut(this)",@class="form-control"})
                            @Html.ValidationMessageFor(model => model.SyringeOffset)
                        </div>
                    </div>
                </div>
            </div>    
        </form>
    </div>
    <div class="column" style="width: 11vw;">
        <div class="btn-group-vertical">
            <input type="button" id="btnTest" value="Test" class="btn btn-info btn-lg"/>
            <input type="button" id="btnAllArmUp" value="Arm Up" class="btn btn-info btn-lg"/>
            <input type="button" id="btnInit" value="Initialization" class="btn btn-info btn-lg"/>
            <input type="button" id="btnSaveInstrument" value="Save" class="btn btn-info btn-lg"/>
            <input type="button" id="btnCancel" value="Cancel" class="btn btn-info btn-lg"/>
        </div>
    </div>
</div>


